GDCM 3.2.1

Public Types | Public Member Functions | Friends | List of all members
gdcm::Macros Class Reference

Class for representing a Modules. More...

`#include <gdcmMacros.h>`

## Public Types
typedef std::map< std::string, Macro > | ModuleMapType

## Public Member Functions
| Macros ()=default
void | AddMacro (const char *ref, const Macro &module)
void | Clear ()
const Macro & | GetMacro (const char *name) const
bool | IsEmpty () const

## Friends
std::ostream & | operator<< (std::ostream &_os, const Macros &_val)

## Detailed Description

Class for representing a Modules.

Note
  bla

See also
  Module

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## ◆ ModuleMapType

typedef std::map<std::string, Macro> gdcm::Macros::ModuleMapType

## Constructor & Destructor Documentation

## ◆ Macros()

gdcm::Macros::Macros | ( |  | ) |
| default

References Macros(), and operator<<.

Referenced by Macros(), and operator<<.

## Member Function Documentation

## ◆ AddMacro()

void gdcm::Macros::AddMacro | ( | const char * | ref,
|  | const Macro & | module )
| inline

References gdcm_assert.

## ◆ Clear()

void gdcm::Macros::Clear | ( |  | ) |
| inline

## ◆ GetMacro()

const Macro & gdcm::Macros::GetMacro | ( | const char * | name | ) | const
| inline

References gdcm_assert.

## ◆ IsEmpty()

bool gdcm::Macros::IsEmpty | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Macros & | _val )
| friend

References Macros().

Referenced by Macros().

The documentation for this class was generated from the following file:

- gdcmMacros.h